%global buildversion 21
%global realversion 1.0-Chipmunk-build%{buildversion}

Name:           udpxy
Version:        1.0.21
Release:        6%{?dist}
Summary:        UDP-to-HTTP multicast traffic relay daemon

Group:          Applications/Internet
License:        GPLv3+
URL:            http://sourceforge.net/projects/udpxy/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}.%{realversion}.tgz
Source1:        udpxy.service

BuildRequires:  systemd-units

Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description
udpxy is a UDP-to-HTTP multicast traffic relay daemon:
it forwards UDP traffic from a given multicast subscription
to the requesting HTTP client.

%prep
%setup -q -n %{name}-1.0-Chipmunk-%{buildversion}

sed -i "s|CFLAGS += -W -Wall -Werror --pedantic|CFLAGS += %{optflags}|g" Makefile

%build
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

sed -i "s|INSTALLROOT := /usr/local|INSTALLROOT := %{buildroot}/usr|g" Makefile
sed -i 's|ln -s $(INSTALLROOT)/bin/$(EXEC)|ln -s $(EXEC)|g' Makefile

make install

install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service

%post
%systemd_post udpxy.service

%preun
%systemd_preun udpxy.service

%postun
%systemd_postun_with_restart udpxy.service


%files
%defattr(-,root,root,-)
%doc README CHANGES gpl.txt udpxy-manual-RU.rtf
%{_bindir}/%{name}
%{_bindir}/udpxrec
%{_unitdir}/%{name}.service


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.21-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.21-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Aug 24 2012 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.21-4
- Introduce new systemd-rpm macros (#850349)

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 25 2011 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.21-1
- udpxy 1.0-Chipmunk-build21

* Mon Jun 20 2011 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.20-1
- udpxy 1.0-Chipmunk-BLD20

* Sun May 22 2011 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.19-1
- udpxy 1.0-Chipmunk-19
- service disabled by default
- SysV init script replaced with systemd unit
- options from sysconfdir moved to unit file

* Sun Aug  1 2010 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.16-1
- Initial RPM release
